@import url("https://fonts.googleapis.com/css?family=Lilita+One:regular");
@import url("https://fonts.cdnfonts.com/css/sf-compact-display");
@import url("https://fonts.cdnfonts.com/css/rubik-one");

@import url(https://fonts.googleapis.com/css?family=Be+Vietnam+Pro:100,100italic,200,200italic,300,300italic,regular,italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic);

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: "Be Vietnam Pro", sans-serif;
    background: #1E1E1E;
}

.main {
    width: 100%;
    max-width: 1440px;
    margin: 0 auto;
    position: relative;
    padding: 20px;
    min-height: 1450px;
}

.logo {
    margin-top: 50px;
}

.landing__smoke {
    position: absolute;
    left: 0;
    width: 100%;
    pointer-events: none;
}

.landing__smoke--top {
    top: 0;
    height: 120px;
    background-image: url("images/smoke-top.webp");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center bottom;
    display: none;
    z-index: 1;
}

.landing__smoke--bottom {
    bottom: 0;
    height: 200px;
    width: calc(100% + 50px);
    margin: 0 -50px;
    overflow-x: clip;
    background-image: url("images/smoke-bottom.webp");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center top;
    z-index: 2;
}

.landing__coin {
    position: absolute;
    pointer-events: none;
    z-index: 1;
}

.landing__coin--bl {
    bottom: 5%;
    left: 0;
    width: 180.362px;
}

.landing__coin--br {
    bottom: 5%;
    right: 0;
    width: 158.99px;
}

.content {
    background: url(./images/main-bg-mob.webp);
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 10px;
    min-height: 100vh;
    overflow: hidden;
    position: relative;
}

.main {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    padding-bottom: 32px;

    position: relative;
    z-index: 2;
}

.title {
    color: #fff;
    text-align: center;
    text-shadow: 0 4px 32px #000;
    font-family: var(--core-font-accent, "Be Vietnam Pro");
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: 1.2;
    letter-spacing: 0.44px;
    text-transform: uppercase;
}

.title span {
    color: #F2D363;
    display: block;
}

.wheel {
    width: 325px;
    height: 325px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
    position: relative;
    z-index: 2;
    margin-top: 70px;
    cursor: pointer;
}

.wheel::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 84px;
    height: 84px;
    background-image: url(images/wheel-spin.webp);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    z-index: 2;
}

.wheel::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -55%);
    width: 300%;
    height: 300%;
    background-image: url(images/wheel-shine.webp);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    z-index: -1;
}

.wheel-rotate {
    transition: transform 5s cubic-bezier(0.1, 0.7, 0.1, 1);
    will-change: transform;
    width: 100%;
    height: 100%;
}
.wheel-rotate > img {
    width: 100%;
    height: auto;
    display: block;
}
.wheel-bg {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 140%;
    height: 140%;
    transform: translate(-50%, -50%);
    z-index: 2;
    pointer-events: none;
}
.wheel-bg img {
    width: 100%;
    height: auto;
    display: block;
}

.wheel-sections {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 90%;
    height: 90%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    z-index: 4;
}

.wheel-section {
    position: absolute;
    width: 43%;
    height: 43%;
    top: 50%;
    left: 50%;
    transform-origin: 0% 0%;
}

.wheel-section span {
    display: block;
    width: 85px;
    min-height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    transform-origin: 50% 100%;
    color: #fff;
    text-align: center;
    /*-webkit-text-stroke-width: 0.45px;*/
    font-family: "SF Compact", sans-serif;
    font-size: 15px;
    font-style: normal;
    /*font-weight: 800;*/
    line-height: 93.368%;
    text-transform: uppercase;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-61%, -59%) rotate(45deg);
    line-height: 1;
    white-space: pre-line;
}

.wheel-section span.big {
    font-size: 18px;
}

.wheel-section span.opposite {
    transform: translate(-36%, -126%) rotate(225deg);
}

.wheel-section:nth-child(1) {
    transform: rotate(21deg);
}

.wheel-section:nth-child(2) {
    transform: rotate(66deg);
}

.wheel-section:nth-child(3) {
    transform: rotate(111deg);
}

.wheel-section:nth-child(4) {
    transform: rotate(156deg);
}

.wheel-section:nth-child(5) {
    transform: rotate(201deg);
}

.wheel-section:nth-child(6) {
    transform: rotate(246deg);
}

.wheel-section:nth-child(7) {
    transform: rotate(291deg);
}

.wheel-section:nth-child(8) {
    transform: rotate(336deg);
}

.copyright {
    position: absolute;
    width: 100%;
    bottom: 40px;
    left: 50%;
    transform: translateX(-50%);
    color: rgba(229, 218, 218, 0.7);
    text-align: center;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 14px;
}
.congratulation {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    background: rgba(10, 0, 0, 0.8);
    backdrop-filter: blur(2px);
    z-index: 10;
    pointer-events: none;
}

.congratulation__content {
    min-width: 700px;
    aspect-ratio: 1 / 1;
    padding: 150px 220px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: auto;
    background-image: url(images/congratulation-modal.webp);
    background-repeat: no-repeat;
    background-size: contain;
    transform: translateY(-300px);
}
.congratulation__title {
    color: #fff;
    text-align: center;
    text-shadow: 0 4px 23.5px #000;
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: 36px; /* 112.5% */
    text-transform: uppercase;
    margin-bottom: 23px;
}

.congratulation__bonus {
    color: #F2D363;
    text-align: center;
    text-shadow:
        0 0 2px rgba(245, 209, 68, 0.78),
        0 4px 32px #000;
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: 36px; /* 112.5% */
    text-transform: uppercase;
    margin-bottom: 55px;
}

.final-link {
    display: block;
    position: relative;
    padding: 4px;
    color: #fff;
    text-align: center;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 120%;
    text-decoration: none;
    text-transform: uppercase;
    width: 100%;
    max-width: 420px;
    border-radius: 6.315px;
border: 0.632px solid #F2D163;
    background: linear-gradient(176deg, #DD1616 3.49%, #69071E 96.29%);
    box-shadow: 0 6.315px 6.315px 0 rgba(0, 0, 0, 0.25), 4.736px 4.736px 0 0 #360410, 0 0 13.427px 0 #FCD8A7, 0 0 0 0 rgba(252, 216, 167, 0.45), 0 0 1.918px 0 #FCD8A7;
    margin-bottom: 32px;
    cursor: pointer;
    animation: btnShine 3s ease-in-out infinite;
    overflow: hidden;
}

.final-link span {
    display: block;
    width: 100%;
    padding: 6px 20px;
    background: transparent;
    border-radius: 6.315px;
border: 1.579px solid #F2D163;
}

@keyframes btn-pulse {
    0%, 100% {
        box-shadow:
            0 0 28.11px 0 #ff7e7e,
            0 0 14.055px 0 #ff7e7e,
            0 0 5.622px 0 #ff7e7e,
            0 0 2.811px 0 #ffd7d7,
            0 0 1.405px 0 #ffd7d7,
            0 0 0.562px 0 #ffd7d7;
    }
    50% {
        box-shadow:
            0 0 36px 2px #ff7e7e,
            0 0 20px 1px #ff7e7e,
            0 0 8px 0 #ff7e7e,
            0 0 4px 0 #ffd7d7,
            0 0 2px 0 #ffd7d7,
            0 0 1px 0 #ffd7d7;
    }
}

@keyframes btnShine {
    0%, 100% {
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25) inset, 3px 3px 0 0 #360410, 0 0 0 0 rgba(251, 216, 167, 0), 4px 4px 0 0 rgba(251, 216, 167, 0), 0 0 0 0 rgba(251, 216, 167, 0), 0 0 0 0 rgba(251, 216, 167, 0);
}
50% {
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0) inset, 3px 3px 0 0 #360410, 0 2px 14.5px 0 rgba(251, 216, 167, 0.9), 4px 4px 3.2px 0 rgba(251, 216, 167, 0.7), 0 0 1.8px 0 rgba(251, 216, 167, 0.7), 0 0 7.6px 0 rgba(251, 216, 167, 0.7);
}
}

.final-link::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    transform: translate(-50%, -50%);
    width: 62px;
    height: 62px;
    border-radius: 50%;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.3) 100%);
    filter: blur(6px);
    z-index: 4;
    pointer-events: none;
    animation: shineAnimation 3.5s linear infinite;
}

.final-link::after {
    content: "";
    position: absolute;
    top: 50%;
    right: 0;
    transform: translate(50%, -50%);
    width: 62px;
    height: 62px;
    border-radius: 50%;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.3) 100%);
    filter: blur(6px);
    z-index: 4;
    pointer-events: none;
    animation: shineAnimation2 3.5s linear infinite;
}

@keyframes shineAnimation {
    0%, 100% {
        left: calc(0% - 150px);
    }
    50% {
        left: calc(100% + 150px);
    }   
}

@keyframes shineAnimation2 {
    0%, 100% {
        right: calc(0% - 150px);
    }
    50% {
        right: calc(100% + 150px);
    }
}

.show {
    opacity: 1;
    pointer-events: auto;
    transition: all 0.6s ease;
}

.hide {
    opacity: 0 !important;
    transform: scale(0.5);
    transition: all 0.5s ease;
}

/* === ≥768px === */
@media (min-width: 768px) {
    .title {
        font-size: 44px;
    }

    .logo {
        margin-top: 0;
    }

    .wheel {
        width: 370px;
        height: 370px;
        margin-top: 70px;
        margin-bottom: -30px;
    }

    .wheel::before {
        width: 100px;
        height: 100px;
    }

    .wheel::after {
        background-image: url(images/over-shine.webp);
        width: 1080px;
        height: 1080px;
        transform: translate(-52%, -54%) rotate(332deg);
        z-index: 5;
        mix-blend-mode: overlay;

    }

    .wheel-bg {
        width: 540px;
        height: 540px;
    }

    .wheel-section span {
        font-size: 18px;
        -webkit-text-stroke-color: #000;
        width: 100px;
        text-wrap: balance;
        transform: translate(-63%, -48%) rotate(-315deg);
        min-height: 55px;
        -webkit-text-stroke-color: #000;
    }

    .wheel-section span.big {
        font-size: 24px;
    }

    .wheel-section span.opposite {
        transform: translate(-25%, -124%) rotate(225deg);
    }

    .copyright {
        font-size: 16px;
    }

    .congratulation__content {
        padding: 150px 220px;
        max-width: 700px;
    }

    .landing__coin--bl {
        bottom: 8%;
        left: 0;
        width: 280.362px;
    }

    .landing__coin--br {
        bottom: 8%;
        right: 0;
        width: 258.99px;
    }
}

/* === ≥1024px === */
@media (min-width: 1024px) {

    .main {
        min-height: 100dvh;
    }

    .congratulation__content {
        padding: 150px 220px;
        max-width: 700px;
        transform: translateY(0);
    }

    .content {
        background: url(./images/main-bg.webp);
        background-size: cover;
        background-position: center center;
        background-repeat: no-repeat;
    }

    .landing__smoke--top {
        display: block;
    }

    .landing__smoke--bottom {
        height: 300px;
    }
}

@media (min-width: 1600px) {
    /* .wheel {
        position: fixed;
        top: 50%;
        left: 50%;
        margin-top: 0;
        transform: translate(-50%, -50%);
    } */
}
